/**@file
 * AskSkipOverwriteDialog.h
 * @brief Ask skip or overwrite dialog box class.
 * @author toru kageyama
 * Created by Toru Kageyama on 10/10/12.
 * Copyright 2010 Comona Co., Ltd. All rights reserved.
 */

#import <Cocoa/Cocoa.h>
#import "MyBaseDialog.h"

/**
 * Ask skip or overwrite dialog box class.
 */
@interface AskSkipOverwriteDialog : MyBaseDialog {
@private
	IBOutlet NSTextField* m_title;					// title.
	IBOutlet NSButton* m_doSame;					// checkbox.
	NSString *m_filePath;							// file path about to ask.
}
// properties.
@property (nonatomic, retain, setter = setFilePath, getter = filePath) NSString *m_filePath;

// Base class retrieves sheet pointer.
- (id)sheet;
// skip button pressed.
- (IBAction)skipButton:(id)sender;
// overwrite button pressed.
- (IBAction)overwriteButton:(id)sender;
// show modal.
- (void)showModal;
@end
