/**@file
 * ChangeDirectoryDialog.h
 * @brief Change directory dialog box class.
 * @author toru kageyama
 * Created by Toru Kageyama on 10/10/22.
 * Copyright 2010 Comona Co., Ltd. All rights reserved.
 */

#import <Cocoa/Cocoa.h>
#import "MyBaseDialog.h"

/**
 * Change directory dialog box class.
 */
@interface ChangeDirectoryDialog : MyBaseDialog {
@private
	IBOutlet NSTextField *m_dirName;		// directory name.
	NSString *m_currentDirectry;			// current directory.
}
// properties.
@property (nonatomic, retain, setter = setCurrentDirectory, getter = currentDirectory) NSString *m_currentDirectry;

// Base class retrieves sheet pointer.
- (id)sheet;
// OK button has pressed.
- (void)onOk;
// Ask can ok.
- (BOOL)canOk;
// get file display.
- (id)fileDisplay;
@end
