/**@file
 * ConnectSettings.h
 * @brief Connect setting class.
 * @author toru kageyama
 * Created by Toru Kageyama on 10/10/07.
 * Copyright 2010 Comona Co., Ltd. All rights reserved.
 */

#import <Cocoa/Cocoa.h>

/**
 * Connect setting class.
 */
@interface ConnectSettings : NSObject {
@private
	NSString *m_description;		// description.
	NSString *m_url;				// URL.
	NSString *m_userId;				// User ID.
	NSString *m_password;			// Password.
	CGFloat m_timeout;				// timeout seconds.
}
// properties.
@property (nonatomic, retain, setter = setDescription, getter = description) NSString *m_description;
@property (nonatomic, retain, setter = setUrl, getter = urlString) NSString *m_url;
@property (nonatomic, retain, setter = setUserId, getter = userId) NSString *m_userId;
@property (nonatomic, retain, setter = setPassword, getter = password) NSString *m_password;
@property (nonatomic, assign, setter = setTimeout, getter = timeout) CGFloat m_timeout;

// format into document.
- (NSString *)formatTemplate:(NSString *)templateString;
// parse.
- (BOOL)parse:(NSArray *)elements withDictionary:(NSDictionary *)attributes;
// encrypt password.
- (NSString *)encryptPassword;
// decrypt password.
+ (NSString *)decryptPassword:(NSString *)encrypted;
@end
