/**@file
 * ControlDisabler.h
 * @brief Disable controls.
 * @author toru kageyama
 * Created by Toru Kageyama on 10/09/22.
 * Copyright 2010 Comona Co., Ltd. All rights reserved.
 */

#import <Cocoa/Cocoa.h>

/**
 * Disable controls.
 */
@interface ControlDisabler : NSObject {
@protected
	NSMutableArray *m_buttons;				// buttons to disable.
	NSMutableArray *m_textFields;			// text fields to disable.
	NSMutableArray *m_frames;				// window to disabe close mask.
	BOOL m_canClose;						// the document window can close or not.
}
// properties.
@property (nonatomic, assign, getter = canClose, readonly) BOOL m_canClose;

// set disable button.
- (void)disalbeButton:(NSButton *)button;
// set textfields disable to edit.
- (void)disableTextField:(NSTextField *)textField;
// disable frame close style.
- (void)disableWindowCloseStyle:(NSWindow *)frame;
// set can can close or not.
- (void)setCanClose:(BOOL)close;
// reset all.
- (void)resetAll;
@end
