/**@file
 * CopySource.h
 * @brief Copy source class.
 * @author toru kageyama
 * Created by Toru Kageyama on 10/10/19.
 * Copyright 2010 Comona Co., Ltd. All rights reserved.
 */

#import <Cocoa/Cocoa.h>

/**
 * Copy source class.
 */
@interface CopySource : NSObject {
@private
	NSString *m_directory;					// directory path.
	NSString *m_fileName;					// file name.
	BOOL m_cut;								// cut flag.
	id m_srcController;						// copy source controller.
}
// properties.
@property (nonatomic, retain, setter = setDirectory, getter = directory) NSString *m_directory;
@property (nonatomic, retain, setter = setFileName, getter = fileName) NSString *m_fileName;
@property (nonatomic, assign, getter = isCut, readonly) BOOL m_cut;
@property (nonatomic, assign, getter = sourceController, readonly) id m_srcController;

// contructor.
- (id)initWithFileName:(NSString *)fileName isCut:(BOOL)isCut sourceController:(id)controller;
// copy.
- (BOOL)copyTo:(id)targetController;
// get last path component.
- (NSString *)lastPathComponent;
@end
