/**@file
 * MyBaseDialog.h
 * @brief base calss of this application's dialogs.
 * @author toru kageyama
 * Created by Toru Kageyama on 10/10/07.
 * Copyright 2010 Comona Co., Ltd. All rights reserved.
 */

#import <Cocoa/Cocoa.h>

@interface MyBaseDialog : NSObject {
@protected
	id m_document;						// Owner document.
	NSWindow *m_documentWindow;			// Document window.
	NSPanel *m_sheet;					// Sheet window.
	id m_invoker;						// Who triggered this dialog?
}
// properties.
@property (nonatomic, retain) IBOutlet NSWindow *m_documentWindow;

// IBAction's
- (IBAction)openDialog:(id)sender;
- (IBAction)sheetOk:(id)sender;
- (IBAction)sheetCancel:(id)sender;
// Attibutes.
// tag.
- (NSInteger)invokerTag;
// You must override following methods.
// Base class retrieves sheet pointer.
- (id)sheet;
// OK button has pressed.
- (void)onOk;
// Ask can ok.
- (BOOL)canOk;
@end
