/**@file
 * MyBaseDialog.m
 * @brief base calss of this application's dialogs.
 * @author toru kageyama
 * Created by Toru Kageyama on 10/10/07.
 * Copyright 2010 Comona Co., Ltd. All rights reserved.
 */

#import "MyBaseDialog.h"
#import "MyDocument.h"
#import "ViewController.h"

@implementation MyBaseDialog

// proerties.
@synthesize m_documentWindow;

// Open dialog
- (IBAction)openDialog:(id)sender
{
	m_invoker = sender;
	m_sheet = [self sheet];
	//NSLog(@"m_documentWindow = %@", m_documentWindow);
	//NSLog(@"m_sheet = %@", m_sheet);

	// open dialog.
	[NSApp beginSheet:m_sheet modalForWindow:m_documentWindow modalDelegate:self
				didEndSelector:@selector(sheetDidEnd:returnCode:contextInfo:) contextInfo:nil];
}

- (IBAction)sheetOk:(id)sender
{
	// OK button is pressed.
	if ([self canOk]) {
		[NSApp endSheet:m_sheet returnCode:NSOKButton];
	}
}

- (IBAction)sheetCancel:(id)sender
{
	// Cancel button is pressed.
	[NSApp endSheet:m_sheet returnCode:NSCancelButton];
}

/*
 * tag.
 * @return invoker's control tag.
 */
- (NSInteger)invokerTag
{
	return [m_invoker tag];
}

// Base class retrieves sheet pointer.
- (id)sheet
{
	return nil;
}

// OK button has pressed.
- (void)onOk
{
}

// Ask can ok.
- (BOOL)canOk
{
	return YES;
}

/*
 * sheet end message.
 * @param[in] sheet sheet itself.
 * @param[in] returnCode the button user pressed.
 * @param[in] contextInfo additional information always nil.
 */
- (void)sheetDidEnd:(NSWindow *)sheet returnCode:(int)returnCode contextInfo:(void *)contextInfo
{
	if (returnCode == NSOKButton) {
		[self onOk];
	}
	[sheet orderOut:self];
}

@end
