/**@file
 * SendRecvThread.h
 * @brief Taking time communication will done by this thread calss.
 * @author toru kageyama
 * Created by Toru Kageyama on 10/10/07.
 * Copyright 2010 Comona Co., Ltd. All rights reserved.
 */

#import <Cocoa/Cocoa.h>

/**
 * Taking time communication will done by this thread calss.
 */
@interface SendRecvThread : NSObject {
@private
	id m_controller;		// controller class.
	NSUInteger m_proc;		// process id.
	id m_param0;			// 1st parameter.
	id m_param1;			// 2nd parameter.
}
// properties.
@property (nonatomic, retain, setter = setParam0, getter = param0) id m_param0;
@property (nonatomic, retain, setter = setParam1, getter = param1) id m_param1;

// start thread.
- (void)startThread:(NSUInteger)procId controller:(id)controller;
// thread procedure.
- (void)threadProc:(id)anArgument;
@end

// process IDs.
#define PROCESS_ID_UNKNOWN								0	// initial value.
#define PROCESS_ID_RETRIEVE_FILE						1	// RETR file(s).
#define PROCESS_ID_RETRIEVE_DROPPED_FILE				2	// RETR file(s) dropped from finder.
#define PROCESS_ID_ADD_FILE								3	// STOR file(s).
#define PROCESS_ID_PASTE_FILE							4	// STOR file(s) by paste.
#define PROCESS_ID_PASTE_FILE_FINDER					5	// STOR file(s) by paste from finder.
#define PROCESS_ID_DROPPED_FILE_FINDER					6	// STOR file(s) by drop from finder.
