/**@file
 * SettingDialog.h
 * @brief Connect setting dialog box class.
 * @author toru kageyama
 * Created by Toru Kageyama on 10/10/07.
 * Copyright 2010 Comona Co., Ltd. All rights reserved.
 */

#import <Cocoa/Cocoa.h>
#import "MyBaseDialog.h"

/**
 * Setting dialog box class.
 */
@interface SettingDialog : MyBaseDialog {
@private
	IBOutlet NSTextField *m_url;			// URL of ShSSL FT.
	IBOutlet NSTextField *m_userId;			// User ID.
	IBOutlet NSSecureTextField* m_password;	// Password.
	IBOutlet NSTextField *m_description;	// Description.
	IBOutlet NSTextField *m_timeout;		// Timeout field.
}

// Base class retrieves sheet pointer.
- (id)sheet;
// OK button has pressed.
- (void)onOk;
// Ask can ok.
- (BOOL)canOk;
@end
