/**@file
 * ShsslAppDelegate.h
 * @brief Application delegate class.
 * @author toru kageyama
 * Created by Toru Kageyama on 10/10/18.
 * Copyright 2010 Comona Co., Ltd. All rights reserved.
 */

#import <Cocoa/Cocoa.h>

/**
 * Application delegate class.
 */
@interface ShsslAppDelegate : NSObject <NSApplicationDelegate> {
@private
	id m_controller;								// the controller which holds cop source.
	NSImage *m_folderImage;							// folder icon image.
	NSImage *m_documentImage;						// document icon image.
	IBOutlet id m_menuEnabler;						// menu enabler.
}
// properties.
@property (nonatomic, assign, getter = folderImage, readonly) NSImage *m_folderImage;
@property (nonatomic, assign, getter = documentImage, readonly) NSImage *m_documentImage;
@property (nonatomic, assign, getter = menuEnabler, readonly) id m_menuEnabler;

// copy.
- (void)copyData:(NSArray *)fileNames isCut:(BOOL)isCut ofController:(id)controller;
// empty copy.
- (void)emptyCopy;
// controller dicconect.
- (void)controllerDisconnect:(id)controller;
// copy count.
- (NSUInteger)copyCount;
// get copy file array.
- (NSArray *)copyFileArray;
@end
